EulerOS 2.0 SP3 : zsh (EulerOS-SA-2018-1396)

critical Nessus Plugin ID 119524

Synopsis

The remote EulerOS host is missing multiple security updates.

Description

According to the versions of the zsh package installed, the EulerOS installation on the remote host is affected by the following vulnerabilities :

- zsh: buffer overflow for very long fds in i1/4zi1/4+ fd syntax (CVE-2014-10071)

- zsh: buffer overflow when scanning very long directory paths for symbolic links (CVE-2014-10072)

- zsh: NULL dereference in cd in sh compatibility mode under given circumstances (CVE-2017-18205)

- zsh: buffer overrun in symlinks (CVE-2017-18206)

- zsh: Stack-based buffer overflow in exec.c:hashcmd() (CVE-2018-1071)

- zsh: buffer overflow in utils.c:checkmailpath() can lead to local arbitrary code execution (CVE-2018-1100)

- zsh: crash on copying empty hash table (CVE-2018-7549)

Note that Tenable Network Security has extracted the preceding description block directly from the EulerOS security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected zsh packages.

See Also

http://www.nessus.org/u?12bcaee0

Plugin Details

Severity: Critical

ID: 119524

File Name: EulerOS_SA-2018-1396.nasl

Version: 1.7

Type: local

Published: 12/10/2018

Updated: 1/6/2021

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:huawei:euleros:zsh, cpe:/o:huawei:euleros:2.0

Required KB Items: Host/local_checks_enabled, Host/EulerOS/release, Host/EulerOS/rpm-list, Host/EulerOS/sp

Excluded KB Items: Host/EulerOS/uvp_version

Exploit Ease: No known exploits are available

Patch Publication Date: 11/26/2018

Reference Information

CVE: CVE-2014-10071, CVE-2014-10072, CVE-2017-18205, CVE-2017-18206, CVE-2018-1071, CVE-2018-1100, CVE-2018-7549